#include <GL/glew.h>
#include <GLFW/glfw3.h>
#include <iostream>

#include "Game.h"
#include "utils/Random.h"

Game::Game(Keys& keys) : keys(keys) {
    std::cout << "register on " << keys.add(GLFW_KEY_W) << "\n";
}

void Game::tick() {
    std::cout << keys.getDownTime(0) << " - 0 \n";
    std::cout << keys.getDownTime(1) << " - 1 \n";
    std::cout << keys.getDownTime(5335) << " - 5335\n";
}

void Game::render(float lag, Renderer& renderer) const {
    (void) lag;
    renderer.setPointSize(4);
    renderer.drawPoint(0.5f, 0.5f, 0xFF0000);
    renderer.drawPoint(0.0f, 0.5f, 0x00FF00);
    renderer.drawPoint(0.5f, 0.0f, 0x0000FF);
    renderer.drawLine(0.5f, 0.0f, 1.0f, 1.0f, 0xFFFF00);

    Random r(0);
    for(uint i = 0; i < 1000; i++) {
        renderer.drawPoint(
                r.nextFloat() * 2.0f - 1.0f,
                r.nextFloat() * 2.0f - 1.0f,
                0xFF0000);
    }
}

bool Game::isRunning() const {
    return true;
}